﻿using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using ThinkGeo.MapSuite.Core;

namespace CSHowDoISamples
{
    public partial class DisplayASimpleMap : UserControl
    {
        public DisplayASimpleMap()
        {
            InitializeComponent();
        }

        Dictionary<string, Feature> features = new Dictionary<string, Feature>();

        private void WpfMap_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.CurrentExtent = new RectangleShape(-155.733, 95.60, 104.42, -81.9);
            
            Feature feature1 = new Feature(new RectangleShape(-55.733, 5.60, -15.733, -8.9));
            Feature feature2 = new Feature(new RectangleShape(10.42, 95.60, 104.42, -31.9));

            SelectFeaturesEditInteractiveOverlay customOverlay = new SelectFeaturesEditInteractiveOverlay();
            customOverlay.CanRotate = true;
            customOverlay.CanResize = true;
            customOverlay.CanDrag = true;
            
            Map1.EditOverlay = customOverlay;
            Map1.EditOverlay.EditShapesLayer.InternalFeatures.Add(feature1);            
            Map1.EditOverlay.EditShapesLayer.InternalFeatures.Add(feature2);

            Map1.Refresh();
        }
    }
}
